## org.gnu.gtk
Class RcFlags

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.gtk.RcFlags

public class RcFlags
extends Flags

Field Summary
`static RcFlags` `BASE`
`static RcFlags` `BG`
`static RcFlags` `FG`
`static RcFlags` `TEXT`

Fields inherited from class org.gnu.glib.Flags
`value_`

Method Summary
`RcFlags` `and(RcFlags other)`
`static RcFlags` `intern(int value)`
`RcFlags` `or(RcFlags other)`
`boolean` `test(RcFlags other)`
`RcFlags` `xor(RcFlags other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FG

    public static final RcFlags FG

### BG

    public static final RcFlags BG

### TEXT

    public static final RcFlags TEXT

### BASE

    public static final RcFlags BASE

Method Detail

### intern

    public static RcFlags intern(int value)

### or

    public RcFlags or(RcFlags other)

### and

    public RcFlags and(RcFlags other)

### xor

    public RcFlags xor(RcFlags other)

### test

    public boolean test(RcFlags other)